/**
 * 
 */
package org.geekfu.MapPanel;

import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.Image;

import javax.swing.JComponent;

class ImageComponent extends JComponent{
	/**
	 * 
	 */
	private Image img;
	public ImageComponent(Image img){
		this.img=img;
	}
	@Override
	protected void paintComponent(Graphics g) {
		super.paintComponent(g);
		int w=this.getWidth();
		int h=this.getHeight();
		int iw=img.getWidth(null);
		int ih=img.getHeight(null);
		g.drawImage(img, w/2-iw/2, h/2-ih/2, null);
	}
	@Override
	public Dimension getPreferredSize() {
		return new Dimension(img.getWidth(null),img.getHeight(null));
	}
}