package org.geekfu.OldCartographer;

import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.Rectangle;
import java.io.Serializable;

public class MapCell implements Serializable, Cloneable{
	protected MapLayoutConstraints constraints; // Where it is in the map, iff it's a piece
	
    public Object clone() {try {
        return super.clone();
    } catch (CloneNotSupportedException exc) {
        exc.printStackTrace();
        return null;
    }}

    private Dimension size; // How large the current visualization is
    
    /**
     * @param revealed
     */
    public MapCell() {
    		super();
    }
    
    public void paintComponent(Graphics g) {
        Rectangle d=g.getClipBounds();
//        g.setColor(java.awt.Color.BLACK);
//        g.fillRect(0,0,d.width,d.height);
    }
    
    public MapLayoutConstraints getConstraints() {
		return constraints;
	}

	public void setConstraints(MapLayoutConstraints constraints) {
		this.constraints = constraints;
	}
	
    public void mouseEntered(int x,int y,int b) {}
    public void mouseClicked(int x,int y,int b) {}
    public void mouseMoved(int x,int y,int b) {}
    public void mouseExited(int x,int y,int b) {}
    public void mouseDragged(int x,int y,int b) {}
    public void mousePressed(int x,int y,int b) {}
    public void mouseReleased(int x,int y,int b) {}
    
    public Dimension getSize() {
        return size;
    }

    public void setSize(Dimension size) {
        this.size = size;
    }
}
