/**
 * 
 */
package org.geekfu.MapPanel;

import java.awt.Component;
import java.awt.Container;
import java.awt.Dimension;
import java.awt.LayoutManager;

import javax.swing.JComponent;

class CenteredPanel extends Container implements LayoutManager{
	/**
	 * 
	 */
	public JComponent comp;
	public CenteredPanel(JComponent comp){
		this.comp=comp;
		this.add(comp);
		this.setLayout(this);
	}
	@Override
	public Dimension getPreferredSize() {
		return new Dimension(comp.getWidth(),comp.getHeight());
	}
	public void layoutContainer(Container arg0) {
		int basex=0,basey=0;
		Dimension d=comp.getPreferredSize();
		int reqx=d.width;
		int reqy=d.height;
		if(this.getWidth()>reqx) //wider than we need
		basex=this.getWidth()/2-reqx/2;
		if(this.getHeight()>reqy) //taller than we need
		basey=this.getHeight()/2-reqy/2;
		comp.setBounds(basex,basey,d.width,d.height);
	}
	public Dimension minimumLayoutSize(Container arg0) {
		return getPreferredSize();
	}
	public Dimension preferredLayoutSize(Container arg0) {
		return getPreferredSize();
	}
	public void addLayoutComponent(String arg0, Component arg1) {}
	public void removeLayoutComponent(Component arg0) {}
}